#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include "tp3.h"

int main()
{
  int n = 10;
  int **triangle = triangle_de_pascal(n);

  // Affichage
  for (int i = 0; i < n; i++)
  {
    affiche_entiers(triangle[i], i+1);
  }

  // Libération de la mémoire
  for (int i = 0; i < n; i++)
  {
    free(triangle[i]); // on libère d'abord chaque ligne
  }
  free(triangle); // on libère ensuite le tableau de lignes

  return EXIT_SUCCESS;
}
